//TAB切换

function setTab(name,cursel,n){

	for(i=1;i<=n;i++){

		var menu=document.getElementById(name+i);

		var con=document.getElementById("gTab_"+name+"_"+i);

		if(menu){

			menu.className=((i==cursel)?"curr":"");

			menu.style.display=((i==cursel)?"none":"block");

		}

		if(con){

			con.style.display=((i==cursel)?"block":"none");

		}		

	}

}

var sVal="";

var sTuer="";

function searchTab(thisID,sText,no)

{	

    sVal=sText;	

	inText=sVal;

	sVal_1=$("#keyword").val();

    var liNum=$(thisID).parents("ul").find("li").length;

    for(i=0; i<liNum; i++)

	{$(thisID).parents("ul").find("li").eq(i).removeClass("curr");}	

	$(thisID).addClass("curr");

	if(sTuer=="")

	{$("#keyword").val(sText);}

    if(no==0 || no==1)

	{ 

	  $("#search .textClass").addClass("textClass_1"); $(".set_class").show();

	  if(no==0)

	  {

		$("#set_id_0").show();

		$("#set_id_1").hide();

	    $("#set_id_0 h5").html("供应");

		$("#set_id_0 li").each(function(i){

		 if(i==0)

		 $(this).addClass("curr");

		 else

		  $(this).removeClass("curr");

		});

	  }

	  else{

		 $("#set_id_1").show();

		 $("#set_id_0").hide();

		 $("#set_id_1 h5").html("求购");

	     $("#set_id_1 li").each(function(i){

		 if(i==0)

		 $(this).addClass("curr");

		 else

		  $(this).removeClass("curr");

		});

	  }

	}

	else{ $("#search .textClass").removeClass("textClass_1"); $(".set_class").hide();}

	$('#SearchformID').attr('action', action_arr[no]);

}



function searchSwitchAction(thisID,sText,no)

{	

    sVal=sText;	

	inText=sVal;

	sVal_1=$("#keyword").val();

    var liNum=$(thisID).parents("ul").find("li").length;

    for(i=0; i<liNum; i++)

	{$(thisID).parents("ul").find("li").eq(i).removeClass("curr");}	

	$(thisID).addClass("curr");

	if(sTuer=="")

	{$("#keyword").val(sText);}

	$('#SearchformID').attr('action', action_arr[no]);

}



$("document").ready(function(){

   $("#searchtop").click(function(){

       if($("#keyword").val()==inText)

	   {

	   alert(inText)

	   return false;}

   })

	// 头部搜索输入框focus,blur

    sVal=$("#keyword").val();

    $("#keyword").focus(function(){

	   if($(this).val()== sVal)

		$(this).val("");	

		$(this).css("color","#333");

	}).blur(function(){

		if($(this).val() == ""){

		$(this).val(sVal);

	    $(this).css("color","#999"); sTuer="";}

	    else{ $(this).css("color","#333"); sTuer="false";}

    });	

	$("#top_member li").mouseover(function(){

		$(this).addClass("curr");

	}).mouseout(function(){

		$(this).removeClass("curr");

	});

	$("#set_id_0").mouseover(function(){

		$("#set_id_0 ul").show();

	}).mouseout(function(){

		$("#set_id_0 ul").hide();

	});	

	$("#set_id_1").mouseover(function(){

		$("#set_id_1 ul").show();

	}).mouseout(function(){

		$("#set_id_1 ul").hide();

	});	

	$("#set_id_0 ul li").click(function(){

		var h_html=$(this).find("a").html();

		$("#set_id_0 h5").html(h_html);

		$("#set_id_0 ul").hide();

		$("#set_id_0 li").each(function(i){

		  $(this).removeClass("curr");

		});

		$(this).addClass("curr");		

	})

	$("#set_id_1 ul li").click(function(){

		var h_html=$(this).find("a").html();

		$("#set_id_1 h5").html(h_html);

		$("#set_id_1 ul").hide();

		$("#set_id_1 li").each(function(i){

		  $(this).removeClass("curr");

		});

		$(this).addClass("curr");		

	})

})

//切换样式

function turnClass(name,cursel,n){

	for(i=1;i<=n;i++){

		var menu=document.getElementById(name+i);

		var con=document.getElementById("gTab_"+name+"_"+i);

		if(menu){

			menu.className=((i==cursel)?"curr":"");

		}

	}

}

//搜索

/*function searchTopTab(name,cursel,n,textName){

	for(i=1;i<=n;i++){

		var menu=document.getElementById(name+i);

		if(menu){

			menu.className=((i==cursel)?"curr":"");			

		}

	}

	if($('#keyword').val()==inputText)

	{		  

	  $('#keyword').val(textName);

	}			

    inputText=textName;	    

	var Search_type = cursel-1;

	$("#SearchformID").attr("action", action_arr[Search_type]);

	$("#searchId_1").css("display","block");

	$("#searchId_2").css("display","none");

	$("#radio1").attr("checked","ture");

}*/

//TAB切换

function setTabAll(name,cursel,n){

	for(i=1;i<=n;i++){

		var menu=document.getElementById(name+i);

		var con=document.getElementById("gTab_"+name+"_"+i);

		if(menu){

			menu.className=((i==cursel)?"curr":"");

			//menu.style.display=((i==cursel)?"none":"block");

		}

		if(con){

			con.style.display=((i==cursel)?"block":"none");

		}		

	}

}

function searchFocus(v,n){

	if(v.value == inputText)

		v.value='';

}

function searchBlur(v,n){

	if(v.value == '')

		v.value=inputText;

}

function searchFocusG(v,n,nameVal){

	if(v.value == nameVal)

		v.value='';

}

function searchBlurG(v,n,nameVal){

	if(v.value == '')

		v.value=nameVal;

}

function searchCheck(){

	if($('#keyword').val() == inputText || $('#keyword').val() == ''){

		alert(inputText);

		return false;

	}

	var _keyword = $("#keyword").val();

	var _cid = $("input[@name='expiryday']:checked").val();

	if(_cid > 1){

		var _url=new Array();

			_url[2] = 'http://www.google.com.hk/search?hl=zh-CN&source=hp&q=';

			_url[3] = 'http://www.baidu.com/s?wd=';

		    window.open(_url[_cid]+_keyword,'_blank');return false;

	}

	return true;

}


//搜索效果

function inputFocus(v,vText){	

	if(v.value == vText)

	v.value='';	

	v.style.color="#333";

	}

function inputBlur(v,vText){

	if(v.value == '')

	{

		v.value=vText;

	    v.style.color="#aaa9a9";

	}

	else{v.style.color="#333";}

}